%define upstream_name puppet-opendaylight


Name:           puppet-opendaylight
Version:        4.0.0
Release:        2%{?alphatag}%{?dist}
Summary:        Puppet module that installs and configures the OpenDaylight SDN controller
License:        BSD-2-Clause

URL:            https://github.com/dfarrell07/puppet-opendaylight

Source0:        https://github.com/dfarrell07/%{upstream_name}/archive/%{version}.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=4.0.0
#
Patch0001: 0001-Update-VPP-routing-node-config-file-path.patch
Patch0002: 0002-Don-t-manage-bundler-based-tests-in-tox-fix-dep.patch
Patch0003: 0003-Add-Coala-ignores-to-prevent-symlink-loop.patch
Patch0004: 0004-Force-puppetlabs-apt-version-2.4-3.0-breaks-rspec.patch
Patch0005: 0005-Adds-ability-to-configure-ODL-user-pass.patch
Patch0006: 0006-Remove-unused-env-var-from-Rakefile-test-calls.patch
Patch0007: 0007-Split-tests-into-groups-based-on-ODL-major-version.patch
Patch0008: 0008-Revert-Adds-ability-to-configure-ODL-user-pass.patch
Patch0009: 0009-Only-test-Boron-in-Rakefile-suites-on-stable-boron.patch
Patch0010: 0010-Pin-Coala-to-0.11.patch
Patch0011: 0011-Remove-Travis-CI-config-docs-no-non-GH-support.patch
Patch0012: 0012-Update-metadata-for-new-ODL-managed-repo.patch
Patch0013: 0013-Pin-requests-to-2.16.patch
Patch0014: 0014-Fix-metadata-json-lint-fail-by-updating-Puppet.patch
Patch0015: 0015-Use-username-opendaylight-in-metadata.patch

BuildArch:      noarch

Requires:       puppet-stdlib
#Requires:       puppet-archive
Requires:       puppet-java
Requires:       puppet >= 2.7.0

%description
Puppet module that installs and configures the OpenDaylight SDN controller

%prep
%setup -q -n %{name}-%{version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/opendaylight/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/opendaylight/



%files
%{_datadir}/openstack-puppet/modules/opendaylight/


%changelog
* Tue Aug 15 2017 Jason Joyce <jjoyce@redhat.com> 4.0.0-2
- Use username opendaylight in metadata
- Fix metadata-json-lint fail by updating Puppet
- Pin requests to <2.16
- Update metadata for new ODL-managed repo
- Remove Travis CI config/docs, no non-GH support
- Pin Coala to 0.11
- Only test Boron in Rakefile suites on stable/boron
- Revert "Adds ability to configure ODL user/pass"
- Split tests into groups based on ODL major version
- Remove unused env var from Rakefile test calls
- Adds ability to configure ODL user/pass
- Force puppetlabs-apt version 2.4, 3.0 breaks rspec
- Add Coala ignores to prevent symlink loop
- Don't manage bundler-based tests in tox, fix dep
- Update VPP routing node config file path

* Tue Apr 11 2017 Jon Schlueter <jschluet@redhat.com> 4.0.0-1
- Update to 4.0.0

* Thu Feb 09 2017 Alfredo Moralejo <amoralej@redhat.com> 3.7.0-2.7261876git
- Ocata update 3.7.0 (726187652054ad46c7ff980f2fe9e56c9ad5b3b5)

